Home | Tutorials | Wiki | Issues
Ask Your Question
0

I could not install gazebo7 in Ubuntu Mate 16.04. [closed]

asked 2016-06-12 09:09:13 -0500

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

I am new in Linux. I got the following messages with some errors.

$ sudo apt-get install gazebo7

Hit:1 http://security.ubuntu.com/ubuntu xenial-security InRelease
Hit:2 http://in.archive.ubuntu.com/ubuntu xenial InRelease                                                                           
Hit:3 http://archive.canonical.com/ubuntu xenial InRelease                                                                           
Hit:4 http://ppa.launchpad.net/synapse-core/testing/ubuntu xenial InRelease                                                               
Hit:5 http://in.archive.ubuntu.com/ubuntu xenial-updates InRelease                                                                        
Ign:6 http://linux.dropbox.com/ubuntu wily InRelease                                                                                                      
Ign:7 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial InRelease                                                                                       
Hit:8 http://in.archive.ubuntu.com/ubuntu xenial-backports InRelease                                                                                       
Hit:9 http://ppa.launchpad.net/ubuntu-mate-dev/welcome/ubuntu xenial InRelease                                                                             
Hit:10 http://linux.dropbox.com/ubuntu wily Release                                                                                  
Ign:11 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial Release       
Hit:12 http://packages.osrfoundation.org/gazebo/ubuntu-stable xenial InRelease
Ign:13 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Sources
Ign:15 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main i386 Packages
Ign:16 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main all Packages
Ign:17 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en_IN
Ign:18 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en
Ign:13 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Sources
Ign:15 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main i386 Packages
Ign:16 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main all Packages
Ign:17 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en_IN
Ign:18 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en
Ign:13 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Sources
Ign:15 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main i386 Packages
Ign:16 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main all Packages
Ign:17 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en_IN
Ign:18 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en
Ign:13 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Sources
Ign:15 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main i386 Packages
Ign:16 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main all Packages
Ign:17 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en_IN
Ign:18 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en
Ign:13 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Sources
Ign:15 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main i386 Packages
Ign:16 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main all Packages
Ign:17 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en_IN
Ign:18 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en
Err:13 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Sources
  404  Not Found
Ign:15 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main i386 Packages
Ign:16 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main all Packages
Ign:17 http://ppa.launchpad.net/tomahawk/ppa/ubuntu xenial/main Translation-en_IN ...
(more)
edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Yumlembam
close date 2016-06-21 00:31:19.447651

2 Answers

Sort by ยป oldest newest most voted
0

answered 2016-06-20 23:58:50 -0500

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

I got the solution. Took longer as I just started using Linux. gazebo7 has depends on gazebo7-common with version 7.0.0+dfsg-2. But when gazebo7-common is installed, it always installs the latest version which is 7.2.0-1~xenial, and this has caused the install issue. When I forced installed the gazebo7-common 7.0.0+dfsg-2, I could install gazebo7 without a glitch.

edit flag offensive delete link more

Comments

Be sure to download common from "https://launchpad.net/ubuntu/xenial/amd64/gazebo7-common/7.0.0+dfsg-2" and then use sudo dpkg -i /downloads/gazebo7-common_7.0.0+dfsg-2_all.deb

sincole gravatar imagesincole ( 2017-11-07 16:41:57 -0500 )edit

how do i force install gazebo7-common 7.0.0+dfsg-2?

husseinhazem gravatar imagehusseinhazem ( 2018-02-28 11:47:03 -0500 )edit
0

answered 2016-06-14 10:54:43 -0500

My guess is that you have another version of gazebo installed. Try sudo apt-get install gazebo7-plugin-base. It may show a very similar message. Keep trying the ones that say "not going to be installed" until you find a package that you have a different version of. Then uninstall that and gazebo should be able to install. Please update your answer with the results of the command I first suggested.

edit flag offensive delete link more

Comments

Thanks a lot for the suggestion, but it did not work out.

Yumlembam gravatar imageYumlembam ( 2016-06-20 23:56:29 -0500 )edit

Question Tools

1 follower

Stats

Asked: 2016-06-12 09:09:13 -0500

Seen: 2,292 times

Last updated: Jun 21 '16